Bug 827151 - perf diff ends with segfault
perf diff ends with segfault
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 14:21 EDT by Camilo Bernal
Modified: 2013-09-04 19:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-06 10:24:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Camilo Bernal 2012-05-31 14:21:24 EDT
Description of problem:
perf code dumps when displaying the performance difference amongst two perf.data files.


Version-Release number of selected component (if applicable):

Linux version 3.3.5-2.fc16.x86_64 
perf version 3.3.7-1.fc16.x86_64


How reproducible:
Always.

Steps to Reproduce:
1. compile simple C/C++ program to executable a.out,
2. Build perf.data files:
       perf record ./a.out; perf record ./a.out
3. perf diff perf.data perf.data.old
  
Actual results:

[ perf record: Woken up 1 times to write data ]
[ perf record: Captured and wrote 0.015 MB perf.data (~650 samples) ]
[ perf record: Woken up 1 times to write data ]
[ perf record: Captured and wrote 0.015 MB perf.data (~650 samples) ]
Segmentation fault (core dumped)

# echo $?
139

Expected results:
Should display display the performance difference amongst two perf.data files, without the core dump.

Additional info:

Above test also fails on Fedora 17.

Linux version 3.3.4-5.fc17.x86_64
perf version 3.3.7-1.fc17.x86_64
Comment 1 Josh Boyer 2012-09-06 10:24:38 EDT
I can't recreate this on a 3.4 or 3.5 version of perf.  F16 is on 3.4 at the moment, so it appears it was fixed upstream.  If you can recreate it with 3.4.9 or 3.5.3, please reopen.

Note You need to log in before you can comment on or make changes to this bug.